Plugin Résolu Impossible de charger Crazy Crates

Ichiro8

Nouveau
17 Avril 2019
11
0
2
17
Code:
[20:47:44] [Server thread/ERROR]: Error occurred while enabling CrazyCrates v1.8.5 (Is it up to date?)
java.lang.NoSuchFieldError: PLAYER_HEAD
    at me.badbones69.crazycrates.api.objects.ItemBuilder.build(ItemBuilder.java:378) ~[?:?]
    at me.badbones69.crazycrates.api.CrazyCrates.getItems(CrazyCrates.java:925) ~[?:?]
    at me.badbones69.crazycrates.api.CrazyCrates.loadCrates(CrazyCrates.java:134) ~[?:?]
    at me.badbones69.crazycrates.Main.onEnable(Main.java:74) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:381) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:330) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_201]
Le serveur ne parvient pas à faire fonctionner le plugin (aucune commande de celui-ci ne fonctionne)

EDIT (Pour ceux qui ont abusivement la flemme de descendre pour trouver): En regardant le changelog sur le site de Spigot, depuis la version 1.8.4 de Crazy Crates ne prend plu en charge les version en dessous de la 1.12.2 (comprise)
Donc si ça peut aider les autre qui tomberont sur le même problème, voici la solution:
Crazy Crates 1.8.3 (Dernière version supportant la 1.12.2 et avant)
Zenchantments 1.5.1 pour 1.12.2 et avant

Je risque peut-être de refaire d'autres sujets sur d'autres erreurs, notamment avec AnvilColors
 
Dernière édition:

TitouBonnie

Massacreur de zombies
29 Décembre 2017
131
5
76
14
Code:
[20:47:44] [Server thread/ERROR]: Error occurred while enabling CrazyCrates v1.8.5 (Is it up to date?)
java.lang.NoSuchFieldError: PLAYER_HEAD
    at me.badbones69.crazycrates.api.objects.ItemBuilder.build(ItemBuilder.java:378) ~[?:?]
    at me.badbones69.crazycrates.api.CrazyCrates.getItems(CrazyCrates.java:925) ~[?:?]
    at me.badbones69.crazycrates.api.CrazyCrates.loadCrates(CrazyCrates.java:134) ~[?:?]
    at me.badbones69.crazycrates.Main.onEnable(Main.java:74) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:337) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:403) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugin(CraftServer.java:381) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.enablePlugins(CraftServer.java:330) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.t(MinecraftServer.java:422) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.l(MinecraftServer.java:383) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.a(MinecraftServer.java:338) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:272) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.2.jar:git-Spigot-dcd1643-e60fc34]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_201]
Le serveur ne parvient pas à faire fonctionner le plugin (aucune commande de celui-ci ne fonctionne)
Tu es sur la dernière version du plugin ? Si oui quel est ta version spigot ?
 
  • J'aime
Reactions: Ichiro8
Acheter minecraft moins cher

Ichiro8

Nouveau
17 Avril 2019
11
0
2
17
Tu es sur la dernière version du plugin ? Si oui quel est ta version spigot ?
Le plugin est à sa dernière version
Et spigot est en 1.12.2
PS: J'ai le même problème avec un autre plugin avec exactement la même erreur (Le plugin est Zenchantments)
 

Kaeios

Bucheron
13 Avril 2019
27
5
6
39
Les plugins utilise les noms 1.13 des items, s'ils sont configurables il faut les remplacer par les noms 1.8 (PLAYER_HEAD va donner PLAYER_SKULL_ITEM)
S'il y a une version <1.13 il vaut mieux l'utiliser.
 
  • J'aime
Reactions: Ichiro8

Ichiro8

Nouveau
17 Avril 2019
11
0
2
17
Ok merci

EDIT: En regardant le changelog sur le site de Spigot, depuis la version 1.8.4 de Crazy Crates ne prend plu en charge les version en dessous de la 1.12.2 (comprise)
Donc si ça peut aider les autre qui tomberont sur le même problème, voici la solution:
Crazy Crates 1.8.3 (Dernière version supportant la 1.12.2 et avant)
Zenchantments 1.5.1 pour 1.12.2 et avant
 
Dernière édition:

Detobel36

Créateur de plugins (PhoenixRebirth)
Support
17 Août 2012
9 198
1 944
362
23
Belgique
phoenix-rebirth.fr
Salut,

N'oublies pas de mettre ton poste en "Résolu" (si c'est bien le cas).
Cela évitera à des personnes (genre moi) de lire tout le poste pour essayer de t'aider alors que c'est déjà bon ;)


Cordialement,
Detobel36
 

Annonce

Pour voir moins d'annonces créez un compte ou connectez-vous.